Subject: Re: bug#75649: dd: report base 1024 for bytes per second

From: Chris Ely <[email-masked]>
Date: Tue, 21 Jan 2025 13:33:57 -0500

Thank you for the links to the older bugs.

I'm still of the opinion that introducing base 10 output, in the realm of
files that are always stored in base 2 sized blocks, is a mistake that only
confuses people using dd unnecessarily.

On Tue, Jan 21, 2025, 12:37 Paul Eggert <[email-masked]> wrote:

> On 2025-01-21 07:59, Chris Ely wrote:
> > I'd
> > much rather not see the base 10 numbers at all
>
> No matter which of the two numbers we display, people preferring the
> other number will complain. This topic has come up before, multiple
> times, with people commenting at lennnngth. See:
>
> https://bugs.gnu.org/17505
> https://bugs.gnu.org/22277
>
> I rarely see transfer rates in anything other than SI units. When
> companies market hardware, for example, they invariably use GB/s rather
> than GiB/s because this makes their transfer rates look higher. So like
> Pádraig I'm dubious about changing the transfer-rate line to use base
> 1024 only.
>
> More generally, any such proposed patch shouldn't be just to the code:
> it should explain specifically how the patch would affect dd's behavior,
> and this explanation should include changes to the documentation and the
> NEWS file. As things stand I don't know how the patch addresses the
> motivation of avoiding SI units.
>
> [1]:
>
> https://www.lifestyleasia.com/hk/entertainment/gaming/nintendo-switch-2-announcement-and-updates-news/
>